#!/bin/sh

if [ $# -ne 7 ] ; then
		echo "SNV-HTTP-NG"
		exit 1
fi

PROXY_ADR=$1
PROXY_USR=$2
PROXY_PW=$3
SAVE_PATH=$4
SAVE_FILE=$5
LOG_FILE=$6
DATA_URL=$7

if [ ! -d "$SAVE_PATH" ] ; then
	mkdir -p "$SAVE_PATH"
fi
pushd "$SAVE_PATH"
if [ -f "$SAVE_FILE" ] ; then
	rm -f "$SAVE_FILE"
fi
popd

NEWFILE="$SAVE_PATH"/"$SAVE_FILE"

if [ $PROXY_ADR = "0" ] ; then
#no proxy
	wget --timeout=30 --tries=1 -P "$SAVE_PATH" -O "$NEWFILE" -c -o "$LOG_FILE" "$DATA_URL"
else
#has proxy
	wget -e HTTP_PROXY="http://$PROXY_USR:'$PROXY_PW'@$PROXY_ADR" --timeout=30 --tries=1 \
		-P "$SAVE_PATH" -O "$NEWFILE" -c -o "$LOG_FILE" "$DATA_URL"
fi
CMDRET=$?

HTTPRET=`grep -c '200 OK' $LOG_FILE`
if [ $CMDRET -eq 0 -a $HTTPRET -eq 1 ]; then
	echo "SNV-HTTP-OK"
else
	case $CMDRET in
	3) echo "SNV-IO-ERROR" ;;
	4) echo "SNV-NETWORK-FAIL" ;;
	6) echo "SNV-AUTH-ERROR" ;;
	8) echo "SNV-HTTP-NOTFOUND" ;;
	*) echo "SNV-HTTP-NG";;
	esac

	rm -f "$NEWFILE"
fi

#if [ $CMDRET -eq 0 ]; then
#	result=`grep -c '200 OK' $LOG_FILE`
#	if [ $result -ge 1 ] ; then
#		echo "SNV-HTTP-OK"
#	fi
#else
#	result=`grep -c '404 Not Found' $LOG_FILE`
#	if [ $result -eq 1 ] ; then
#		echo "SNV-HTTP-NOTFOUND"
#		rm -f "$NEWFILE"
#	else
#		result=`grep -c '416 Requested Range' $LOG_FILE`
#		if [ $result -eq 1 ] ; then
#			echo "SNV-HTTP-OK"
#		else
#			echo "SNV-HTTP-NG"
#			rm -f "$NEWFILE"
#		fi
#	fi
#fi

