#!/bin/sh
#####################################################################
# This program is a shell script of notify OS info to SVP.
#####################################################################

SNV_DIR=/opt/hitachi/snv
SOM_SEND_DIR=${SNV_DIR}/som/CS
SOM_RECV_DIR=${SNV_DIR}/som/SS
WAIT_MAX=60

## Get current time in EPOCH sec.
EPOCHTM=`date '+%s'`

## Create the file name that somservice uses.
CMDFILE=`printf "%14s%.6dsom.snd" ${EPOCHTM} 0 | sed -e 's/ /0/g'`

## Sending contents.
CMDLINE=00000067cafefeedHITACHI_DevServiceBMC/SendInfoToSVP0000000000000000

## Write in sending contents at a file, and move it to a sending directory of the SOM.
echo ${CMDLINE} > ./${CMDFILE}
mv ./${CMDFILE} ${SOM_SEND_DIR}

## Watch a reception directory of the SOM, and wait for the completion of the BMC provider.
CNT=0
while [ ${CNT} -lt ${WAIT_MAX} ]
do
	CNT=`expr ${CNT} + 5`
	sleep 5

	if [ -e ${SOM_RECV_DIR}/${CMDFILE} ]; then
		break
	fi
done

if [ ${CNT} -lt ${WAIT_MAX} ]; then
	rm -f ${SOM_RECV_DIR}/${CMDFILE}
	exit 0
else
	exit 1
fi

